#include <bits/stdc++.h>

using namespace std;

struct vaga
{
    int d,u;
};

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int M,N;
    cin >> N >> M;
    vector<vaga> v(N);
    for(int i = 0; i<N; i++)
    {
        cin >> v[i].d >> v[i].u;
    }
    for(int m = 0; m<M; m++)
    {
        int l,r,x,res = 0;
        cin >> l >> r >> x;
        l--;
        r--;
        for(int i = l; i<=r; i++)
        {
            if(v[i].d <= x && v[i].u >= x)
                res++;
        }
        cout << res << endl;
    }
    return 0;
}